package cn.com.qmth.examcloud.core.reports.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.service.StudentCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学生在线人数")
@RequestMapping("${$rmp.ctr.reports}/" + "studentCount")
public class StudentCountController extends ControllerSupport {
	@Autowired
	private StudentCountService studentCountService;

	@GetMapping("/getSumOnlineCount")
	@ApiOperation(value = "获取总在线人数")
	public Long getSumOnlineCount() {
		return studentCountService.getSumOnlineCount();
	}
}