package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;

@Entity
@Table(name = "ec_r_student_total_count", indexes = {
		@Index(name = "IDX_R_STUDENT_TOTAL_COUNT_01", columnList = "rootOrgId", unique = true) })
public class StudentTotalCountEntity extends IdEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4690035104380375292L;
	@NotNull
	private Long rootOrgId;
	@NotNull
	private Integer totalCount;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Integer getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}
}
