package cn.com.qmth.examcloud.core.reports.base.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class ExamStudentCountBean implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3392394929374130898L;
	@ApiModelProperty(value = "考试名称")
	private String examName;
	@ApiModelProperty(value = "考试类型")
	private String examType;
	@ApiModelProperty(value = "考试开始时间")
	private String examStartDate;
	@ApiModelProperty(value = "考试结束时间")
	private String examEndDate;
	@ApiModelProperty(value = "在线人数")
	private Integer onlineCount;
	@ApiModelProperty(value = "计划人数")
	private long totalCount;
	@ApiModelProperty(value = "完成人数")
	private long completeCount;
	@ApiModelProperty(value = "完成率")
	private long completeRatio;
	private Long examId;
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getExamType() {
		return examType;
	}
	public void setExamType(String examType) {
		this.examType = examType;
	}
	public String getExamStartDate() {
		return examStartDate;
	}
	public void setExamStartDate(String examStartDate) {
		this.examStartDate = examStartDate;
	}
	public String getExamEndDate() {
		return examEndDate;
	}
	public void setExamEndDate(String examEndDate) {
		this.examEndDate = examEndDate;
	}
	public Integer getOnlineCount() {
		return onlineCount;
	}
	public void setOnlineCount(Integer onlineCount) {
		this.onlineCount = onlineCount;
	}
	public long getTotalCount() {
		return totalCount;
	}
	public void setTotalCount(long totalCount) {
		this.totalCount = totalCount;
	}
	public long getCompleteCount() {
		return completeCount;
	}
	public void setCompleteCount(long completeCount) {
		this.completeCount = completeCount;
	}
	public long getCompleteRatio() {
		return completeRatio;
	}
	public void setCompleteRatio(long completeRatio) {
		this.completeRatio = completeRatio;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}

}
