package cn.com.qmth.examcloud.core.reports.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.ExamCourseDataReportEntity;

public interface ExamCourseDataReportRepo extends JpaRepository<ExamCourseDataReportEntity, Long>,
		JpaSpecificationExecutor<ExamCourseDataReportEntity> {
	
	@Modifying
	@Query(value = "delete from ec_r_exam_course_data_report where project_id =?1 and root_org_id=?2 ", nativeQuery = true)
	public void deleteByProject(Long projectId, Long rootOrgId);
}
