package cn.com.qmth.examcloud.core.reports.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.StudentTotalCountEntity;

public interface StudentTotalCountRepo extends JpaRepository<StudentTotalCountEntity, Long>,
		JpaSpecificationExecutor<StudentTotalCountEntity> {
	public StudentTotalCountEntity findByRootOrgId(Long rootOrgId);
	
	@Query(value = "select sum(total_count) from ec_r_student_total_count", nativeQuery = true)
	public long getSumTotalCount();
	
}
